import * as React from 'react'
import { styled } from '@mui/material/styles'
import Details from './fdos/details'
import Grid from '@mui/material/Grid'
import Paper from '@mui/material/Paper'
import Box from '@mui/material/Box'
import QueryPanel from './header/QueryPanel'
import Content from '@components/Content'
import Typography from '@mui/material/Typography'
import Divider from '@mui/material/Divider'
import FDOImage from '@components/FDOImage'
import Link from '@mui/material/Link'

const Item = styled(Paper)(({ theme }) => ({
  backgroundColor: theme.palette.mode === 'dark' ? '#1A2027' : '#fff',
  ...theme.typography.body2,
  padding: theme.spacing(2),
  textAlign: 'center',
  color: theme.palette.text.secondary
}))

export default function RowAndColumnSpacing () {
  return (
    <Box alignItems="center">
      <Grid container spacing={2} columns={10} justifyContent="center" alignItems="center" marginTop={2}>
        <Grid item xs={6}>
          <Item>
          <Typography variant="h3" gutterBottom marginTop={2}>
              Welcome to the FDO Manager
          </Typography><br/>
          <Typography variant="body1" gutterBottom>
              The FDO Manager allows you to browse FAIR Digital Objects, create FDOs and much more and is
              part of the <a href="https://fdo-one.org/">FDO One project</a>.
              <br/>
              <br/>
              You are interested to look at a specific FDO? Just enter the PID below!
            </Typography><br/>
              <QueryPanel/><br/><br/>
              <Link href="./fdo">
                <FDOImage/>
              </Link>
          </Item>
        </Grid>
      </Grid>

      <Grid container spacing={2} columns={20} justifyContent="center" alignItems="center" marginTop={2}>
        <Grid item xs={6}>
          <Item>
            <Box sx={{ width: '100%', maxWidth: 500 }}>
            <Typography variant="subtitle1" gutterBottom>
                Showcase: An Asset Adminstration Shell(AAS) FDO
            </Typography>
            <Details/>
            </Box>
          </Item>
        </Grid>
        <Grid item xs={6}>
          <Item>
            <Box sx={{ width: '100%', maxWidth: 500 }}>
            <Typography variant="subtitle1" gutterBottom>
                Showcase: An FDO hosted in an Eclipse Dataspace Components (EDC) Dataspace
            </Typography>
            <Details/>
            </Box>
          </Item>
        </Grid>
      </Grid>
    </Box>
  )
}
